namespace Syntriax.Engine.Core.Debug;

public class LoggerWrapper(ILogger firstLogger, ILogger secondLogger) : ILogger
{
    private readonly ILogger firstLogger = firstLogger;
    private readonly ILogger secondLogger = secondLogger;

    public ILogger.Level FilterLevel
    {
        get => firstLogger.FilterLevel;
        set
        {
            firstLogger.FilterLevel = value;
            secondLogger.FilterLevel = value;
        }
    }

    public void Log(string message, ILogger.Level level = ILogger.Level.Info, bool force = false)
    {
        firstLogger.Log(message, level, force);
        secondLogger.Log(message, level, force);
    }
}
